import 'package:latlong2/latlong.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

// API variables
const String port = "8443";
const String serverURI = "https://127.0.0.1:$port/";
const String mapEndpoint = "update_map";
const int fetchInterval = 60; // Fetch marker data every n minutes

// Map variables
LatLng mapCenter = LatLng(60.7666, 10.8471);
DateTime ?lastUpdate; // Last time data was fetched from server

// Font variables
const textColor = Colors.white;
final appTitleStyle = GoogleFonts.chakraPetch(
  fontSize: 35,
  color: Colors.black,
  fontWeight: FontWeight.bold,
);
final titleStyle = GoogleFonts.chakraPetch(
  fontSize: 30,
  color: Colors.white70,
  fontWeight: FontWeight.bold,
);
final regTextStyle = GoogleFonts.chakraPetch(fontSize: 16, color: textColor);
final chartTextStyle = GoogleFonts.chakraPetch(fontSize: 12, color: textColor);
final subHeadingStyle = GoogleFonts.chakraPetch(fontSize: 18, color: textColor, fontWeight: FontWeight.bold);

// Colors
const darkBlue = Color(0xFF015E8F);
const teal = Color(0xFF00B4D8);
const darkestBlue = Color(0xFF03045E);
const lightBlue = Color(0xFFCAF0F8);
const superLightBlue = Color(0xFFCAF0F8);
const barBlue = Color(0xFF0077B6);